// Clase que usa un hilo para mostrar la hora en las coordenadas indicadas:
// V 1.0 (C) Julio 2012 Salvador Pozo : Con Clase : http://conclase.net

#ifndef __HILOHORA_H__
#define __HILOHORA_H__

#include "hilopantalla.h"

class Hora : public HiloPantalla {
    public:
        Hora(int xi, int yi) : HiloPantalla(hiloMostrarHora), x(xi), y(yi), seg(0) {
            GetLocalTime(&st);
        }
    private:
        void Mostrar() const;
        void EsperarCambio();
        void ActualizarSeg();
        SYSTEMTIME st;                    // Estructura para obtener la hora
        int x;
        int y;
        int seg;
        static DWORD WINAPI hiloMostrarHora( void* );
};
#endif
