// Programa de demostracin de aplicaciones multihilo
#include <windows.h>
#include <cstdio>
#include "hilohora.h"
#include "hilorotativo.h"
#include "hiloanim.h"

// Definir dato miembro esttico, comn para todos los hilos.
bool HiloPantalla::salir = false;

int main() {
    // Activar el cdigo de pgina "latn", para que se muestren correctamente acentos, la letra , etc:
    SetConsoleOutputCP(1250);

    Hora hora(70, 1);
    Hora hora2(1, 1);
    Hora hora3(70, 23);
    Hora hora4(1, 23);
    TextoRotativo texto(20,2,15,100, "Texto rotativo de prueba ------ ");
    TextoRotativo texto2(20, 15, 10, 50, "Articulos Con Clase - Salvador Pozo - ");
    TextoRotativo texto3(5, 20, 70, 60, "Generalmente tendemos a pensar que la multitarea se limita a poder tener abiertas varias ventanas "
        "con distintas aplicaciones a la vez, pero hay mucho ms. Por ejemplo, un navegador web, puede "
        "tener abiertas varias pginas a la vez. A su vez, cada pgina, mientras se carga, puede estar descargando "
        "varios recursos: texto, imgenes, etc, y actualizando la pantalla a medida que los descarga. ------------------ ");
    TextoRotativo texto4(30, 0, 20, 150, "Pulsa una tecla para salir del programa.    ----   ");
    TextoRotativo texto5(35, 8, 10, 500, "Hola");
    Animacion animacion(6, 6, 1, 1, 2, 150, "+X");
    Animacion animacion2(6, 8, 1, 1, 4, 100, "|/-\\");
    Animacion animacion3(6, 10, 3, 3, 4, 200, " |  |  |   / / /     ---   \\   \\   \\");
    Animacion animacion4(6, 14, 3, 3, 8, 120, " |  o      / o        o-       o   \\    o  |     o /     -o    \\   o    ");
    Animacion animacion5(12, 6, 3, 3, 8, 80, " |  o-     / o   \\    o- |     o / \\   -o  | \\   o /   | -o    \\ / o    ");
    Animacion animacion6(50, 6, 3, 3, 60, 60, " 234567891 345678912 456789123 567891234 678912345 789123456 891234567 912345678 123456789         123456789         123456789         "
                                              "1         2         3         4         5         6         7         8         9         123456789         123456789         123456789"
                                              " 23456789123 56789123456 891 34567891234 67891234567 912 45678912345 78912345678 123456789         123456789         123456789         "
                                              "1           4           7   2           5           8   3           6           9         123456789         123456789         123456789");

    // Esperar a que el usuario pulse una tecla, los hilos se siguen ejecutando:
    std::getchar();
    animacion.Terminar();

    return 0;
}
