// Implementacin de la clase que usa un hilo para mostrar una animacin:
// V 1.0 (C) Julio 2012 Salvador Pozo : Con Clase : http://conclase.net

#include <cstdio>
#include "hiloanim.h"

void Animacion::Mostrar() const {
    COORD dwPos = {x, y};

    for(int i = 0; i < filas; i++) {
        SetConsoleCursorPosition(GetStdHandle(STD_OUTPUT_HANDLE), dwPos);
        WriteConsole(GetStdHandle(STD_OUTPUT_HANDLE), &anim[i*cols+cuadroactual*cols*filas], cols, 0, 0);
        dwPos.Y++;
    }
}

DWORD WINAPI Animacion::hiloAnimacion( void* par) {
    Animacion *anima = (Animacion*)par;

    do {
        if(anima->Reservar()) {
            anima->Mostrar();
            anima->Liberar();
            anima->SiguienteCuadro();
            anima->Esperar();
        }
    } while(!anima->Salir());
    return 0;
}
